Package org.drinkless.tdlib

# Class TdApi.ChatStatisticsChannel

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatStatistics
org.drinkless.tdlib.TdApi.ChatStatisticsChannel

Enclosing class:
  `TdApi`

public static class TdApi.ChatStatisticsChannel extends TdApi.ChatStatistics
A detailed statistics about a channel chat.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.ChatStatistics

  `TdApi.ChatStatistics.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `double`
  `enabledNotificationsPercentage`
  A percentage of users with enabled notifications for the chat; 0-100.
  `TdApi.StatisticalGraph`
  `instantViewInteractionGraph`
  A graph containing number of views of associated with the chat instant views.
  `TdApi.StatisticalGraph`
  `joinBySourceGraph`
  A graph containing number of new member joins per source.
  `TdApi.StatisticalGraph`
  `joinGraph`
  A graph containing number of members joined and left the chat.
  `TdApi.StatisticalGraph`
  `languageGraph`
  A graph containing number of users viewed chat messages per language.
  `TdApi.StatisticalValue`
  `meanMessageReactionCount`
  Mean number of times reactions were added to the recently sent messages.
  `TdApi.StatisticalValue`
  `meanMessageShareCount`
  Mean number of times the recently sent messages were shared.
  `TdApi.StatisticalValue`
  `meanMessageViewCount`
  Mean number of times the recently sent messages were viewed.
  `TdApi.StatisticalValue`
  `meanStoryReactionCount`
  Mean number of times reactions were added to the recently posted stories.
  `TdApi.StatisticalValue`
  `meanStoryShareCount`
  Mean number of times the recently posted stories were shared.
  `TdApi.StatisticalValue`
  `meanStoryViewCount`
  Mean number of times the recently posted stories were viewed.
  `TdApi.StatisticalValue`
  `memberCount`
  Number of members in the chat.
  `TdApi.StatisticalGraph`
  `memberCountGraph`
  A graph containing number of members in the chat.
  `TdApi.StatisticalGraph`
  `messageInteractionGraph`
  A graph containing number of chat message views and shares.
  `TdApi.StatisticalGraph`
  `messageReactionGraph`
  A graph containing number of reactions on messages.
  `TdApi.StatisticalGraph`
  `muteGraph`
  A graph containing number of members muted and unmuted the chat.
  `TdApi.DateRange`
  `period`
  A period to which the statistics applies.
  `TdApi.ChatStatisticsInteractionInfo[]`
  `recentInteractions`
  Detailed statistics about number of views and shares of recently sent messages and posted stories.
  `TdApi.StatisticalGraph`
  `storyInteractionGraph`
  A graph containing number of story views and shares.
  `TdApi.StatisticalGraph`
  `storyReactionGraph`
  A graph containing number of reactions on stories.
  `TdApi.StatisticalGraph`
  `viewCountByHourGraph`
  A graph containing number of message views in a given hour in the last two weeks.
  `TdApi.StatisticalGraph`
  `viewCountBySourceGraph`
  A graph containing number of message views per source.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatStatisticsChannel()`
  A detailed statistics about a channel chat.
  `ChatStatisticsChannel(TdApi.DateRange period, TdApi.StatisticalValue memberCount, TdApi.StatisticalValue meanMessageViewCount, TdApi.StatisticalValue meanMessageShareCount, TdApi.StatisticalValue meanMessageReactionCount, TdApi.StatisticalValue meanStoryViewCount, TdApi.StatisticalValue meanStoryShareCount, TdApi.StatisticalValue meanStoryReactionCount, double enabledNotificationsPercentage, TdApi.StatisticalGraph memberCountGraph, TdApi.StatisticalGraph joinGraph, TdApi.StatisticalGraph muteGraph, TdApi.StatisticalGraph viewCountByHourGraph, TdApi.StatisticalGraph viewCountBySourceGraph, TdApi.StatisticalGraph joinBySourceGraph, TdApi.StatisticalGraph languageGraph, TdApi.StatisticalGraph messageInteractionGraph, TdApi.StatisticalGraph messageReactionGraph, TdApi.StatisticalGraph storyInteractionGraph, TdApi.StatisticalGraph storyReactionGraph, TdApi.StatisticalGraph instantViewInteractionGraph, TdApi.ChatStatisticsInteractionInfo[] recentInteractions)`
  A detailed statistics about a channel chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### period

    public TdApi.DateRange period
    A period to which the statistics applies.

  - ### memberCount

    public TdApi.StatisticalValue memberCount
    Number of members in the chat.

  - ### meanMessageViewCount

    public TdApi.StatisticalValue meanMessageViewCount
    Mean number of times the recently sent messages were viewed.

  - ### meanMessageShareCount

    public TdApi.StatisticalValue meanMessageShareCount
    Mean number of times the recently sent messages were shared.

  - ### meanMessageReactionCount

    public TdApi.StatisticalValue meanMessageReactionCount
    Mean number of times reactions were added to the recently sent messages.

  - ### meanStoryViewCount

    public TdApi.StatisticalValue meanStoryViewCount
    Mean number of times the recently posted stories were viewed.

  - ### meanStoryShareCount

    public TdApi.StatisticalValue meanStoryShareCount
    Mean number of times the recently posted stories were shared.

  - ### meanStoryReactionCount

    public TdApi.StatisticalValue meanStoryReactionCount
    Mean number of times reactions were added to the recently posted stories.

  - ### enabledNotificationsPercentage

    public double enabledNotificationsPercentage
    A percentage of users with enabled notifications for the chat; 0-100.

  - ### memberCountGraph

    public TdApi.StatisticalGraph memberCountGraph
    A graph containing number of members in the chat.

  - ### joinGraph

    public TdApi.StatisticalGraph joinGraph
    A graph containing number of members joined and left the chat.

  - ### muteGraph

    public TdApi.StatisticalGraph muteGraph
    A graph containing number of members muted and unmuted the chat.

  - ### viewCountByHourGraph

    public TdApi.StatisticalGraph viewCountByHourGraph
    A graph containing number of message views in a given hour in the last two weeks.

  - ### viewCountBySourceGraph

    public TdApi.StatisticalGraph viewCountBySourceGraph
    A graph containing number of message views per source.

  - ### joinBySourceGraph

    public TdApi.StatisticalGraph joinBySourceGraph
    A graph containing number of new member joins per source.

  - ### languageGraph

    public TdApi.StatisticalGraph languageGraph
    A graph containing number of users viewed chat messages per language.

  - ### messageInteractionGraph

    public TdApi.StatisticalGraph messageInteractionGraph
    A graph containing number of chat message views and shares.

  - ### messageReactionGraph

    public TdApi.StatisticalGraph messageReactionGraph
    A graph containing number of reactions on messages.

  - ### storyInteractionGraph

    public TdApi.StatisticalGraph storyInteractionGraph
    A graph containing number of story views and shares.

  - ### storyReactionGraph

    public TdApi.StatisticalGraph storyReactionGraph
    A graph containing number of reactions on stories.

  - ### instantViewInteractionGraph

    public TdApi.StatisticalGraph instantViewInteractionGraph
    A graph containing number of views of associated with the chat instant views.

  - ### recentInteractions

    public TdApi.ChatStatisticsInteractionInfo[] recentInteractions
    Detailed statistics about number of views and shares of recently sent messages and posted stories.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatStatisticsChannel

    public ChatStatisticsChannel()
    A detailed statistics about a channel chat.

  - ### ChatStatisticsChannel

    public ChatStatisticsChannel(TdApi.DateRange period, TdApi.StatisticalValue memberCount, TdApi.StatisticalValue meanMessageViewCount, TdApi.StatisticalValue meanMessageShareCount, TdApi.StatisticalValue meanMessageReactionCount, TdApi.StatisticalValue meanStoryViewCount, TdApi.StatisticalValue meanStoryShareCount, TdApi.StatisticalValue meanStoryReactionCount, double enabledNotificationsPercentage, TdApi.StatisticalGraph memberCountGraph, TdApi.StatisticalGraph joinGraph, TdApi.StatisticalGraph muteGraph, TdApi.StatisticalGraph viewCountByHourGraph, TdApi.StatisticalGraph viewCountBySourceGraph, TdApi.StatisticalGraph joinBySourceGraph, TdApi.StatisticalGraph languageGraph, TdApi.StatisticalGraph messageInteractionGraph, TdApi.StatisticalGraph messageReactionGraph, TdApi.StatisticalGraph storyInteractionGraph, TdApi.StatisticalGraph storyReactionGraph, TdApi.StatisticalGraph instantViewInteractionGraph, TdApi.ChatStatisticsInteractionInfo[] recentInteractions)
    A detailed statistics about a channel chat.
    Parameters:
      `period` - A period to which the statistics applies.
      `memberCount` - Number of members in the chat.
      `meanMessageViewCount` - Mean number of times the recently sent messages were viewed.
      `meanMessageShareCount` - Mean number of times the recently sent messages were shared.
      `meanMessageReactionCount` - Mean number of times reactions were added to the recently sent messages.
      `meanStoryViewCount` - Mean number of times the recently posted stories were viewed.
      `meanStoryShareCount` - Mean number of times the recently posted stories were shared.
      `meanStoryReactionCount` - Mean number of times reactions were added to the recently posted stories.
      `enabledNotificationsPercentage` - A percentage of users with enabled notifications for the chat; 0-100.
      `memberCountGraph` - A graph containing number of members in the chat.
      `joinGraph` - A graph containing number of members joined and left the chat.
      `muteGraph` - A graph containing number of members muted and unmuted the chat.
      `viewCountByHourGraph` - A graph containing number of message views in a given hour in the last two weeks.
      `viewCountBySourceGraph` - A graph containing number of message views per source.
      `joinBySourceGraph` - A graph containing number of new member joins per source.
      `languageGraph` - A graph containing number of users viewed chat messages per language.
      `messageInteractionGraph` - A graph containing number of chat message views and shares.
      `messageReactionGraph` - A graph containing number of reactions on messages.
      `storyInteractionGraph` - A graph containing number of story views and shares.
      `storyReactionGraph` - A graph containing number of reactions on stories.
      `instantViewInteractionGraph` - A graph containing number of views of associated with the chat instant views.
      `recentInteractions` - Detailed statistics about number of views and shares of recently sent messages and posted stories.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.ChatStatistics`
    Returns:
      this.CONSTRUCTOR